#!/bin/sh
# 
# $Id: install.sh,v 1.10 2004/08/14 21:15:33 erik Exp $
#
# script to install the m4 files to the appropriate place

set -e

PROGS="\
 OpenAL.m4\
 OpenGL.m4\
 lua.m4\
 png.m4\
"
TARGETDIR="/tmp"

ACLOCAL=`which aclocal`
if test "x$ACLOCAL" = "x"
then
	echo "Could not find 'aclocal', please verify it is in your path"
	exit 1
fi

TARGETDIR=`aclocal --print-ac-dir`
INSTALL=`which install`

	# I like -r--r--r--
MODE=444

if test ! -w $TARGETDIR
then
	echo "You don't have permission to write to $TARGETDIR"
	exit 1
fi

if [ -e $TARGETDIR/gl.m4 ]
then
	echo "Ugh, $TARGETDIR/gl.m4 exists, I refuse to coexist."
	exit 1
fi

for a in $PROGS
do
	echo "$INSTALL -m $MODE $a $TARGETDIR/$a"
	$INSTALL -m $MODE $a $TARGETDIR/$a
done

